<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: classes/server.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Team;

abstract class TeamServer {
    protected static $locale = [];
    public $sqlTeam = NULL;
    public $action = '';
    public $teamSettings = NULL;
    public $action_pages = ['newuser', 'edituser', 'deleteuser', 'publishuser', 'unpublishuser', 'viewuser', 'new_message'];
    public $allowed_pages = ['users', 'settings'];
    public $def_teamuser = [
        'team_id'          => '',
        'team_user_id'     => '',
        'team_real_name'   => '',
        'team_position'    => '',
        'team_pic'         => '',
        'team_description' => '',
        'team_datestamp'   => '',
        'team_status'      => 0,
        'team_count'       => 0,
        'team_active'      => 0,
        'team_email'       => '',
        'team_phone'       => '',
        'team_web'         => '',
        'team_language'    => LANGUAGE
    ];
    private static $team_icons = [
        'eye'       => 'fa fa-eye',
        'at'        => 'fa fa-at',
        'phone'     => 'fa fa-phone',
        'globe'     => 'fa fa-globe',
        'pencil'    => 'fa fa-pencil',
        'trash'     => 'fa fa-trash',
        'usercheck' => 'fa fa-user-check',
        'userslash' => 'fa fa-user-slash',
        'circle'    => 'fa fa-circle',
        'buton'     => 'fa fa-hdd-o'
    ];


    public function __construct() {
        include_once TEAM_PATH . 'templates/team.tpl.php';
        self::$locale = fusion_get_locale('', TEAM_LOCALE);
        $this->sqlTeam = new Teamsql();
        $this->teamSettings = get_settings( TEAM_FOLDER );
        $this->action = in_array( get( 'action' ), $this->action_pages ) ? get( 'action' ) : '';
    }

    public static function getTeamIcons( string $name, string $class = "", string $tooltip = "", string $style = "" ) {
        $icon = (self::$team_icons[$name]) ?? $name;
        $style = $style ? " style='" . $style . "'" : '';
        $tooltip = $tooltip ? " data-toggle='tooltip' title='" . $tooltip . "'" : '';

        return "<i class='" . $icon . whitespace( $class ) . "'" . $style . $tooltip . "></i>";
    }

    public function teamMod( $mod = NULL, $id = NULL ) {
        dbquery( "UPDATE ".DB_TEAM." SET team_status = :status WHERE team_id = :teamid", [':status' => $mod, ':teamid' => (int)$id] );
    }

    public function teamCount( $teamid = NULL ) {
        if ( dbcount( "(team_id)", DB_TEAM, "team_id = :teamid", [':teamid' => (int)$teamid] ) ) {
            dbquery( "UPDATE " . DB_TEAM . " SET team_count = team_count+1 WHERE team_id = '" . $teamid . "'" );
        }
    }
}
