<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$locale = fusion_get_locale( '', TEAM_LOCALE );

$inf_title = $locale['TEAM_000'];
$inf_description = $locale['TEAM_001'];
$inf_version = "1.0.0";
$inf_developer = "karrak";
$inf_email = "admin@fusionhu.com";
$inf_weburl = "https://fusionhu.com";
$inf_folder = TEAM_FOLDER;
$inf_image = "team.svg";

$inf_newtable[] = DB_TEAM . " (
    team_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
    team_user_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
    team_real_name VARCHAR(250) NOT NULL DEFAULT '',
    team_position VARCHAR(200) NOT NULL DEFAULT '',
    team_pic VARCHAR(150) NOT NULL DEFAULT '',
    team_description TEXT,
    team_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
    team_status TINYINT(1) NOT NULL DEFAULT '0',
    team_count SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
    team_active TINYINT(1) NOT NULL DEFAULT '0',
    team_email VARCHAR(100) NOT NULL DEFAULT '',
    team_phone VARCHAR(20) NOT NULL DEFAULT '',
    team_web VARCHAR(200) NOT NULL DEFAULT '',
    team_language VARCHAR(50) NOT NULL DEFAULT '" . LANGUAGE . "',
    PRIMARY KEY (team_id),
    KEY p_datestamp (team_datestamp)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

// Insert settings
$settings = [
    'team_submit'        => 1,
    'team_submit_access' => USER_LEVEL_MEMBER,
    'team_photo_w'       => 2048,
    'team_photo_h'       => 1365,
    'team_photo_b'       => 5242880,
    'team_pagination'    => 12,
    'team_file_types'    => '.gif,.jpg,.png,.svg,.webp'
];

foreach ( $settings as $name => $value ) {
    $inf_insertdbrow[] = DB_SETTINGS_INF . " (settings_name, settings_value, settings_inf) VALUES ('" . $name . "', '" . $value . "', '" . $inf_folder . "')";
}

$inf_mlt[] = [
    'title'  => $inf_title,
    'rights' => "TEAM"
];

$enabled_languages = makefilelist( LOCALE, ".|..", TRUE, "folders" );
if ( !empty( $enabled_languages ) ) {
    foreach( $enabled_languages as $language ) {
        if ( file_exists( TEAM_PATH . 'locale/' . $language . '/team.php' ) ) {
            include TEAM_PATH . 'locale/' . $language . '/team.php';
        } else {
            include TEAM_PATH . 'locale/English/team.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => "TEAM",
            'image'    => $inf_image,
            'title'    => $locale['TEAM_002'],
            'panel'    => "team_admin.php",
            'page'     => 5,
            'language' => $language
        ];
        // Add
        $mlt_insertdbrow[$language][] = DB_SITE_LINKS . " (link_name, link_url, link_visibility, link_position, link_window, link_order, link_status, link_language) VALUES ('" . $locale['TEAM_003'] . "', 'infusions/" . $inf_folder . "/team.php', '" . USER_LEVEL_PUBLIC . "', '1', '0', '2', '1', '" . $language . "')";
        // Delete
        $mlt_deldbrow[$language][] = DB_SITE_LINKS . " WHERE link_url = 'infusions/" . $inf_folder . "/team.php' AND link_language = '" . $language . "'";
        $mlt_deldbrow[$language][] = DB_TEAM . " WHERE team_language = '" . $language . "'";
        $mlt_deldbrow[$language][] = DB_ADMIN . " WHERE admin_rights = 'TEAM' AND admin_language = '" . $language . "'";
    }
} else {
	$inf_adminpanel[] = [
        'rights'   => "TEAM",
        'image'    => $inf_image,
        'title'    => $locale['TEAM_002'],
        'panel'    => "team_admin.php",
        'page'     => 5,
        'language' => LANGUAGE
    ];
    $inf_insertdbrow[] = DB_SITE_LINKS." (link_name, link_url, link_visibility, link_position, link_window, link_order, link_status, link_language) VALUES ('" . $locale['TEAM_003'] . "', 'infusions/" . $inf_folder . "/team.php', '" . USER_LEVEL_PUBLIC . "', '1', '0', '2', '1', '" . LANGUAGE . "')";
}

$inf_droptable[] = DB_TEAM;
$inf_deldbrow[] = DB_ADMIN . " WHERE admin_rights = 'TEAM'";
$inf_deldbrow[] = DB_SETTINGS_INF . " WHERE settings_inf = '" . $inf_folder . "'";
$inf_deldbrow[] = DB_SITE_LINKS . " WHERE link_url = 'infusions/" . $inf_folder . "/team.php'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES . " WHERE mlt_rights = 'TEAM'";
$inf_delfiles[] = TEAM_IMG . 'team/';
