<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

use PHPFusion\Admins;

Admins::getInstance()->setAdminPageIcons( "TEAM", "<i class='admin-ico fa fa-fw fa-book'></i>" );

// inf folder
const TEAM_FOLDER = 'my_team';

// Paths
const TEAM_PATH = INFUSIONS . TEAM_FOLDER . '/';
const TEAM_IMG = TEAM_PATH . 'images/';

// Locales
define( 'TEAM_LOCALE', fusion_get_inf_locale_path( 'team.php', TEAM_PATH . 'locale/' ) );

// Database
const DB_TEAM = DB_PREFIX . "my_team";

Admins::getInstance()->setFolderPermissions( 'team', [
    'infusions/my_team/images/' => TRUE
] );

Admins::getInstance()->setCustomFolder( 'TEAM', [
    [
        'path'  => TEAM_IMG . 'team/',
        'URL'   => fusion_get_settings( 'siteurl' ) . 'infusions/my_team/images/team/',
        'alias' => 'team'
    ]
] );

if ( defined( 'MY_TEAM_EXISTS' ) ) {
    function myTeamCron( $data ) {
        dbquery( "DELETE FROM " . DB_TEAM . " WHERE team_user_id = :userid", [':userid' => $data['user_id']] );
    }

    /**
     * @uses myTeamCron()
     */
    fusion_add_hook( 'cron_job24h_users_data', 'myTeamCron' );
}
