<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: team_admin.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Team;
use PHPFusion\Team;

require_once __DIR__ . '/../../maincore.php';
require_once FUSION_ADMIN_HEADER;
require_once TEAM_PATH . "autoload.php";

class AdminTeam extends TeamServer {

    public function __construct() {
        parent::__construct();
        pageAccess( 'TEAM' );
        add_breadcrumb( ['link' => TEAM_PATH . 'team_admin.php' . fusion_get_aidlink(), 'title' => self::$locale['TEAM_002']] );
    }

    public function display_admin() {
        add_to_title( self::$locale['TEAM_002'] );
        opentable( self::$locale['TEAM_002'] );

        $section = check_get( 'section' ) && in_array( get( 'section' ), $this->allowed_pages ) ? get( 'section' ) : $this->allowed_pages[0];

        $team_title['title'][] = self::$locale['TEAM_010'];
        $team_title['id'][] = 'users';
        $team_title['icon'][] = 'fa fa-users m-r-10';
        $team_title['title'][] = self::$locale['TEAM_011'];
        $team_title['id'][] = 'settings';
        $team_title['icon'][] = 'fa fa-cog m-r-10';

        echo opentab( $team_title, $section, 'team_admin', TRUE, '', 'section', ['action', 'team_id', 'rowstart'] );
        switch ( $section ) {
            case 'settings':
                Team\AdminSettings::getInstance()->startSettings();
                break;
            default:
                Team\AdminUser::getInstance()->startUserAdmin();
                break;
        }
        echo closetab();
        closetable();
    }
}
$teamadmins = new AdminTeam();
$teamadmins->display_admin();

require_once FUSION_FOOTER;
