<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: team.tpl.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

if ( !function_exists( 'groupForm' ) ) {
    function groupForm( $info ) {
        $locale = fusion_get_locale();
        openside( $locale['TEAM_060'] );
        if ( !empty( $info ) ) {
            foreach ( $info as $cat_id => $cdata) {
                echo $cdata;
            }
        }
        closeside();
    }
}

if ( !function_exists( 'adminUserInfo' ) ) {
    function adminUserInfo( $info ) {
        $locale = fusion_get_locale();
        opentable( $info['tablename'] );
        if ( !empty( $info['newlink'] ) ) {
            echo "<div class='clearfix text-left m-b-5'><a class='btn btn-success btn-sm' href='" . $info['newlink'] . "'><i class='fa fa-fw fa-plus m-r-10'></i>" . $locale['TEAM_054'] . "</a></div>";
        }
        if ( !empty( $info['team'] ) ) {
            echo "<div class='table-responsive'><table class='table table-hover'>
                <thead>
                    <tr>
                        <th class='text-center'></th>
                        <th class='text-center'>" . $locale['TEAM_039'] . "</th>
                        <th class='text-center'>" . $locale['TEAM_036'] . "</th>
                        <th class='text-center'>" . $locale['TEAM_040'] . "</th>
                        <th class='text-center'>" . $locale['TEAM_043'] . "</th>
                        <th class='text-center'>" . $locale['TEAM_055'] . "</th>
                    </tr>
                </thead>
                <tbody>";
                foreach ( $info['team'] as $tid => $tdata ) {
                    echo "<tr data-id='" . $tid . "' id=cat'" . $tid . "' " . (!empty( $tdata['team_active']) ? "style='color:#FF4040;' title='" . $locale['TEAM_056'] . "'" : '') . ">
                        <td>" . $tdata['avatar'] . "</td>
                        <td>" . $tdata['team_real_name'] . "</td>
                        <td>" . $tdata['name'] . "</td>
                        <td>" . $tdata['team_position'] . "</td>
                        <td>" . $tdata['status'] . "</td>
                        <td>" . $tdata['useredit'] . " || " . $tdata['userdelete'] . " || " . $tdata['useractive'] . "</td>
                    </tr>";
                }
                echo "</tbody>
            </table></div>";
        }
        if ( !empty( $info['nogroup'] ) ) {
            echo "<div class='text-center well'>" . $info['nogroup'] . "</div>";

        }
        if ( !empty( $info['page_nav'] ) ) {
            echo "<div class='text-center m-t-10 m-b-10'>" . $info['page_nav'] . "</div>";

        }
        $lfooter = sprintf( $locale['TEAM_057'], "<span style='color:#69b452;'><i class='fa fa-circle'></i></span> | ",
            "<span style='color:#FF4040;'><i class='fa fa-circle'></i></span>" );
        echo "<div class='panel-footer m-t-5 text-center'>" . $lfooter . "</div>";
        closetable();
    }
}

if ( !function_exists( 'teamWievUser' ) ) {
    function teamWievUser( $value ) {
        openside( $value['real_name'] );
        if ( !empty( $value ) ) {
            echo "<div class='row'>
                <div class='col-xs-12'>
                    <div class='well clearfix'>
                        <div class='overflow-hide p-r-10'>
                            <div class='panel text-center'>
                                <div class='text-center'>" . $value['avatar'] . "</div>
                                <div class='strong m-t-10'>". $value['status'] . " " . $value['real_name'] . "</div>
                                <div class='m-t-10'>" . $value['name'] . "</div>
                                <div class='m-t-10'>" . $value['position'] . "</div>";
                                if ( $value['description'] ) {
                                    echo "<div class='justify m-t-10'>" . $value['description'] . "</div>";
                                }
                            echo "</div>
                        </div>
                        <div class='panel-footer text-center'>";
                            if ( !empty( $value['profil_link'] ) ) {
                                foreach ( $value['profil_link'] as $tdata ) {
                                    echo $tdata;
                                }
                            }
                            if ( !empty( $value['admin_link'] ) ) {
                                $i = 0;
                                foreach ( $value['admin_link'] as $tdata ) {
                                    echo ( $i == 0 && !empty( $tdata ) ? ' || ' : '' ) . $tdata;
                                    $i++;
                                }
                            }
                        echo "</div>
                    </div>
                </div>
            </div>";
        }
        closeside();
    }
}

if ( !function_exists( 'showTeamList' ) ) {
    function showTeamList( $info ) {
        openside( $info['tablename'] );
        if ( !empty( $info['team'] ) ) {
            echo "<div class='row equal-height'>";
                foreach ( $info['team'] as $tid => $tdata ) {
                    echo "<div class='col-xs-12 col-sm-4 content m-b-10'>
                        <div class='post-item'>" . teamUserData( $tdata ) . "</div>
                    </div>";
                }
                echo "</div>";
        }
        if ( !empty( $info['nouser'] ) ) {
            echo "<div class='text-center well'>" . $info['nouser'] . "</div>";
        }
        closeside();
    }
}

if (!function_exists("teamUserData")) {
    function teamUserData( $value) {
        $locale = fusion_get_locale();
        if ( !empty( $value ) ) {
            $html = "<div class='col-xs-12'>";
                    $html .= "<div class='well clearfix'>";
                        $html .= "<div class='overflow-hide p-r-10'>";
                            $html .= "<div class='panel text-center'>";
                                $html .= "<div class='text-center'>" . $value['avatar'] . "</div>";
                                $html .= "<div class='strong m-t-10'>" . $value['real_name'] . "</div>";
                            if ( $value['description'] ) {
                                $html .= "<div class='justify m-t-10'>" . nl2br( trim_text( strip_tags( $value['description'] ), 200 ) ) . "</div>";
                            }
                            $html .= "</div>";
                        $html .= "</div>";
                        $html .= "<div class='panel-footer text-center'>" . $value['count'] . "</div>";
                    $html .= "</div>";
            $html .= "</div>";
        } else {
            $html = "<div class='well text-center'>".$locale['PRTN_E02']."</div>";
        }
        return $html;
    }
}
